RebarMesh Class |
The RebarMesh class represents a reinforcement mesh.
Inheritance Hierarchy
SystemObject
Tekla.Structures.ModelObject
Tekla.Structures.ModelModelObject
Tekla.Structures.ModelReinforcement
Tekla.Structures.ModelRebarMesh
Tekla.Structures.ModelObject
Tekla.Structures.ModelModelObject
Tekla.Structures.ModelReinforcement
Tekla.Structures.ModelRebarMesh
Namespace: Tekla.Structures.Model
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2024.0.0+a110b435391768740483e3032720a566518c9a63
Syntax
The RebarMesh type exposes the following members.
Constructors
Properties
Name | Description | |
---|---|---|
CatalogName |
The name of the rebar mesh catalog.
| |
Class |
Gets or sets the class of the reinforcement. The class is used to group reinforcements.
(Inherited from Reinforcement.) | |
CrossBarLocation |
Defines the location of the crossing bars.
| |
CrossDistances |
The crossing spacing double value(s).
| |
CrossSize |
The size of the crossing rebar.
| |
CutByFatherPartCuts |
Defines whether the rebar mesh is cut by father part cuts or not.
| |
EndFromPlaneOffset |
The end offset value from the part surface.
| |
EndHook | The hook at the end of the reinforcing. | |
EndPoint |
The end point of the direction in which the longitudinal bars are distributed.
| |
EndPointOffsetType |
Gets or sets the type of the end point offset. The options are:
(Inherited from Reinforcement.)
| |
EndPointOffsetValue |
Gets or sets the concrete cover thickness or leg length at the second end of the bar.
(Inherited from Reinforcement.) | |
Father |
Gets or sets the father object of the reinforcement; the model object instance to operate on.
(Inherited from Reinforcement.) | |
FromPlaneOffset |
The offset value from the part surface applied in both sides.
(Overrides ReinforcementFromPlaneOffset.) | |
Grade |
Gets or sets the steel grade of the reinforcing bar.
The grade indicates the strength of the steel used in reinforcing bars.
It can also indicate other factors, such as the weldability or surface deformations of the bar.
(Inherited from Reinforcement.) | |
Identifier |
The identifier of the object.
(Inherited from Object.) | |
InputPointDeformingState |
Gets or sets the reinforcement input point deforming state.
(Inherited from Reinforcement.) | |
IsUpToDate | Gets if the object does not have a modification which is not shared. (Inherited from ModelObject.) | |
LeftOverhangCross |
The overhang of the crossing part's left side.
| |
LeftOverhangLongitudinal |
The overhang of the longitudinal bar's left side.
| |
Length |
The length of the rectangle rebar mesh.
| |
LongitudinalDistances |
The longitudinal spacing double value(s).
| |
LongitudinalSize |
The size of the longitudinal rebar.
| |
LongitudinalSpacingMethod |
The type of spacing between rebar mesh bars. Used both for longitudinal and crossing bars.
The options are (RebarMesh.RebarMeshSpacingMethodEnum.):
| |
MeshType |
The type of the reinforcement mesh. The options are:
| |
ModificationTime | Gets latest time of the object was modified or created. (Inherited from ModelObject.) | |
Name |
Gets or sets the name of the reinforcement.
(Inherited from Reinforcement.) | |
NumberingSeries |
Gets or sets the numbering series of the reinforcement.
(Inherited from Reinforcement.) | |
OnPlaneOffsets |
Gets or sets the double offset value for each leg on the same plane as the bar.
(Inherited from Reinforcement.) | |
Polygon |
The polygon of the mesh.
| |
RadiusValues |
Gets or sets the radius value(s) of the bends in the bar.
(Inherited from Reinforcement.) | |
RightOverhangCross |
The right overhang of the crossing bar.
| |
RightOverhangLongitudinal |
The right overhang of the longitudinal bar.
| |
StartFromPlaneOffset |
The start offset value from the part surface.
| |
StartHook | The hook at the beginning of the reinforcing. | |
StartPoint |
The start point of the direction in which the longitudinal bars are distributed.
| |
StartPointOffsetType |
Gets or sets the type of the start point offset is either OFFSET_TYPE_LEG_LENGTH or OFFSET_TYPE_COVER_THICKNESS.
(Inherited from Reinforcement.) | |
StartPointOffsetValue |
Gets or sets the concrete cover thickness or leg length at the first end of the bar.
(Inherited from Reinforcement.) | |
Width |
The width of the rectangle rebar mesh.
|
Methods
Name | Description | |
---|---|---|
CompareTo |
Compares Identifiers of model objects.
(Inherited from ModelObject.) | |
Delete |
Deletes the reinforcement mesh instance with the given identifier from the model database.
(Overrides ModelObjectDelete.) | |
Equals |
Check if Identifiers of model objects are same.
(Inherited from ModelObject.) | |
GetAllReportProperties |
Retrieves all properties for the model object in one hashtable.
Type for the returned value must be checked using type casting.
(Inherited from ModelObject.) | |
GetAllUserProperties |
Retrieves all properties for the model object in one hashtable.
Type for the returned value must be checked using type casting.
(Inherited from ModelObject.) | |
GetAssembly |
Returns the assembly that the reinforcement belongs to.
(Inherited from Reinforcement.) | |
GetChildren |
Returns an enumerator of all the children model objects.
(Inherited from ModelObject.) | |
GetCoordinateSystem |
Returns the coordinate system for the given model object.
(Inherited from ModelObject.) | |
GetDoubleReportProperties |
Retrieves multiple double report properties for the model object. It is faster
to fetch multiple properties at once.
(Inherited from ModelObject.) | |
GetDoubleUserProperties |
Retrieves all double properties for the model object.
(Inherited from ModelObject.) | |
GetDynamicStringProperty |
Gets a dynamic string property from the model object.
(Inherited from ModelObject.) | |
GetFatherComponent |
Returns the father component of the model object.
(Inherited from ModelObject.) | |
GetFatherPour |
Returns the pour that the rebar is associated to.
(Inherited from Reinforcement.) | |
GetFatherPourUnit |
Returns the pour unit that the rebar is associated to.
(Inherited from Reinforcement.) | |
GetHierarchicObjects |
Returns an enumerator of all the connected hierarchic objects.
(Inherited from ModelObject.) | |
GetIntegerReportProperties |
Retrieves multiple integer report properties for the model object. It is faster
to fetch multiple properties at once.
(Inherited from ModelObject.) | |
GetIntegerUserProperties |
Retrieves all integer properties for the model object.
(Inherited from ModelObject.) | |
GetNumberOfRebars |
Returns the number of rebars in the reinforcing group.
(Inherited from Reinforcement.) | |
GetPhase |
Retrieves the phase of the model object (the phase number, the phase name,
the phase comment and whether the phase is the current one or not).
(Inherited from ModelObject.) | |
GetRebarComplexGeometries(Boolean, Boolean, Boolean) |
Retrieves a list of physical reinforcing bars (of type RebarComplexGeometry).
These objects contain physical curves in the 3D space of each reinforcing bar as shown in model view.
RebarComplexGeometry only differs from RebarGeometry by containing a polycurve rather than a polyline.
(Inherited from Reinforcement.) | |
GetRebarComplexGeometries(Boolean, Boolean, Boolean, ReinforcementRebarGeometrySimplificationTypeEnum) |
Retrieves a list of physical reinforcing bars (of type RebarComplexGeometry).
These objects contain physical curves in the 3D space of each reinforcing bar as shown in model view.
RebarComplexGeometry only differs from RebarGeometry by containing
a polycurve (of Arc and LineSegment objects) rather than a polyline.
The polycurve only contains arcs if the "simplified" parameter is RATIONALIZED or FABRICATION.
If "simplified" is NONE, any arcs will be returned as a series of line segments.
(Inherited from Reinforcement.) | |
GetRebarGeometries(Boolean) |
Retrieves a list of physical reinforcing bars (of type RebarGeometry).
These objects contain physical points in the 3D space of each reinforcing bar.
(Inherited from Reinforcement.) | |
GetRebarGeometries(ReinforcementRebarGeometryOptionEnum) |
Retrieves a list of physical reinforcing bars (of type RebarGeometry).
These objects contain physical points in the 3D space of each reinforcing bar.
(Inherited from Reinforcement.) | |
GetRebarGeometriesWithoutClashes |
Retrieves a list of physical reinforcing bars (of type RebarGeometry).
These objects contain physical points in the 3D space of each reinforcing bar as shown in model view.
In case rebar polygon clashes with itself, physical points are moved to avoid clashing.
(Inherited from Reinforcement.) | |
GetReportProperty(String, Double) |
Retrieves a double property of the report for the model object.
(Inherited from ModelObject.) | |
GetReportProperty(String, Int32) |
Retrieves an integer property of the report for the model object.
(Inherited from ModelObject.) | |
GetReportProperty(String, String) |
Retrieves a string property of the report for the model object.
(Inherited from ModelObject.) | |
GetSingleRebar |
Returns a single rebar inside the rebar group located by the given index.
The indexing starts from the start point. The rebar represents a physical reinforcing bar
and contains physical points in the 3D space of the bar.
The method returns null on error, for example if given an erroneous index.
The number of rebars in the group can be requested with GetNumberOfRebars().
(Inherited from Reinforcement.) | |
GetSingleRebarWithoutClash |
Returns a single rebar inside the rebar group located by the given index.
The indexing starts from the start point. The rebar represents a physical reinforcing bar
and contains physical, non-clashing points in the 3D space of the bar.
The method returns null on error, for example if given an erroneous index.
The number of rebars in the group can be requested with GetNumberOfRebars().
(Inherited from Reinforcement.) | |
GetSolid |
Method for getting the solid information of the reinforcement.
(Inherited from Reinforcement.) | |
GetStringReportProperties |
Retrieves multiple string report properties for the model object. It is faster
to fetch multiple properties at once.
(Inherited from ModelObject.) | |
GetStringUserProperties |
Retrieves all string properties for the model object.
(Inherited from ModelObject.) | |
GetUserProperty(String, Double) |
Retrieves a double property for the model object.
(Inherited from ModelObject.) | |
GetUserProperty(String, Int32) |
Retrieves an integer property for the model object.
(Inherited from ModelObject.) | |
GetUserProperty(String, String) |
Retrieves a string property for the model object.
(Inherited from ModelObject.) | |
Insert |
Inserts the reinforcement mesh into the model database. All the attributes must be set.
(Overrides ModelObjectInsert.) | |
IsGeometryValid |
Tells whether the geometry of a reinforcement object is valid or not.
(Inherited from Reinforcement.) | |
Modify |
Modifies the existing reinforcement mesh in the model database to match the current one.
(Overrides ModelObjectModify.) | |
Select |
Selects a reinforcement mesh from the model database. The reinforcement identifier must be set.
(Overrides ModelObjectSelect.) | |
SetDynamicStringProperty |
Sets a dynamic string property for the model object.
(Inherited from ModelObject.) | |
SetLabel |
Sets a label for an object when a new instance is created, this method must be called before Insert.
The label is used in plug-ins for identifying the changed object in modification.
(Inherited from ModelObject.) | |
SetPhase |
Sets the phase of the model object.
(Inherited from ModelObject.) | |
SetUserProperties |
Sets multiple properties for the model object.
(Inherited from ModelObject.) | |
SetUserProperty(String, Double) |
Sets a double property for the model object.
(Inherited from ModelObject.) | |
SetUserProperty(String, Int32) |
Sets an integer property for the model object.
(Inherited from ModelObject.) | |
SetUserProperty(String, String) |
Sets a string property for the model object.
(Inherited from ModelObject.) |
Examples
using Tekla.Structures.Model; using Tekla.Structures.Geometry3d; public class Example { public void Example1() { ContourPlate CP = new ContourPlate(); RebarMesh RebarMesh = new RebarMesh(); RebarMesh.MeshType = Tekla.Structures.Model.RebarMesh.RebarMeshTypeEnum.RECTANGULAR_MESH; RebarMesh.Father = CP; RebarMesh.StartPoint = new Point(3000, 0, 0); RebarMesh.EndPoint = new Point(5000, 0, 0); RebarMesh.CatalogName = "MyCatalog"; RebarMesh.LongitudinalSize = "6"; RebarMesh.CrossSize = "6"; RebarMesh.LeftOverhangCross = 20; RebarMesh.LeftOverhangLongitudinal = 40; RebarMesh.RightOverhangCross = 20; RebarMesh.RightOverhangLongitudinal = 40; RebarMesh.LongitudinalSpacingMethod = RebarMesh.RebarMeshSpacingMethodEnum.SPACING_TYPE_SAME_DISTANCE; RebarMesh.LongitudinalDistances.Add(50.0); RebarMesh.CrossDistances.Add(20.0); RebarMesh.Name = "Mesh Test"; RebarMesh.Class = 7; RebarMesh.NumberingSeries.StartNumber = 0; RebarMesh.NumberingSeries.Prefix = "Mesh"; RebarMesh.Grade = "B500K"; RebarMesh.OnPlaneOffsets.Add(10.0); RebarMesh.FromPlaneOffset = -50; RebarMesh.StartPointOffsetType = Reinforcement.RebarOffsetTypeEnum.OFFSET_TYPE_COVER_THICKNESS; RebarMesh.StartPointOffsetValue = 10; RebarMesh.CutByFatherPartCuts = false; RebarMesh.CrossBarLocation = Tekla.Structures.Model.RebarMesh.RebarMeshCrossBarLocationEnum.LOCATION_TYPE_ABOVE; RebarMesh.Length = 1500; RebarMesh.Width = 3500; RebarMesh.Insert(); RebarMesh.Grade = "B600KX"; RebarMesh.LongitudinalSize = "8"; RebarMesh.RightOverhangLongitudinal = 75; RebarMesh.Length = 1800; RebarMesh.Width = 3800; RebarMesh.Modify(); } }
See Also